INTERFACE
SUBROUTINE ECHIEN(CDNAMC,KNUM,KTYPTR,LDMAP,&
 & KTRONC,KDGL,KNXLON,KNLOPA,KNOZPA,PSINLA,&
 & KFLEV,PREF,PVALH,PVBH,KINF,&
 & PEPS,KULOUT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), PARAMETER :: JPXGEO=18
INTEGER(KIND=JPIM), PARAMETER :: JPXIND=1
INTEGER(KIND=JPIM), PARAMETER :: JPXPAH=8
INTEGER(KIND=JPIM),INTENT(INOUT) :: KFLEV
CHARACTER(LEN=16),INTENT(IN) :: CDNAMC
INTEGER(KIND=JPIM) :: KNUM
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTYPTR
LOGICAL ,INTENT(INOUT) :: LDMAP
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTRONC
INTEGER(KIND=JPIM),INTENT(INOUT) :: KDGL
INTEGER(KIND=JPIM),INTENT(INOUT) :: KNXLON
INTEGER(KIND=JPIM),INTENT(INOUT) :: KNLOPA(JPXPAH)
INTEGER(KIND=JPIM) :: KNOZPA(JPXIND)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(JPXGEO)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREF
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVALH(0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVBH(0:KFLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KINF
REAL(KIND=JPRB) ,INTENT(IN) :: PEPS
INTEGER(KIND=JPIM),INTENT(IN) :: KULOUT
END SUBROUTINE ECHIEN
END INTERFACE
